Skip to main content
`Ctrl`+`K`

# PetscDAGetObsErrorVariance

Returns a borrowed reference to the observation-error variance vector.

## Synopsis

    PetscErrorCode PetscDAGetObsErrorVariance(PetscDA da, Vec *obs_error_var)

Not Collective

## Input Parameter

- da - the `PetscDA` context

## Output Parameter

- obs_error_var - pointer to the variance vector managed by the `PetscDA`

## See Also

PetscDA: Data Assimilation, `PetscDASetObsErrorVariance()`

## Level

beginner

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages